Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227072 - Review Request: jmock-1.0.1-3jpp - Test Java code using mock objects
Summary: Review Request: jmock-1.0.1-3jpp - Test Java code using mock objects
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
: 252086 (view as bug list)
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2007-02-02 17:41 UTC by Rafael H. Schloming
Modified: 2014-12-01 23:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-28 17:45:53 UTC


Attachments (Terms of Use)

Description Rafael H. Schloming 2007-02-02 17:41:23 UTC
Spec URL: http://people.redhat.com/rafaels/specs/jmock-1.0.1-3jpp.spec
SRPM URL: ftp://jpackage.hmdc.harvard.edu/JPackage/1.7/generic/SRPMS.free/jmock-1.0.1-3jpp.src.rpm
Description: jMock is a library for testing Java code using mock objects.
Mock objects help you design and test the interactions between the
objects in your programs.
The jMock package:
* makes it quick and easy to define mock objects, so you don't break
  the rhythm of programming.
* lets you define flexible constraints over object interactions,
  reducing the brittleness of your tests.
* is easy to extend.

Javadoc for jmock.

Examples for jmock.

Comment 1 Vivek Lakshmanan 2007-08-14 00:00:10 UTC
*** Bug 252086 has been marked as a duplicate of this bug. ***

Comment 2 Jason Tibbitts 2008-06-28 17:45:53 UTC
Closing as detailed in bug 227128.



Note You need to log in before you can comment on or make changes to this bug.